package com.hzya.frame.sysnew.comparison.serviceData.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.execsql.service.IExecSqlService;
import com.hzya.frame.mdm.mdmModuleSource.entity.MdmModuleSourceEntity;
import com.hzya.frame.sysnew.comparison.entity.ComparisonEntity;
import com.hzya.frame.sysnew.comparison.serviceData.dao.IServiceDataDao;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;
@Repository(value = "ServiceDataDaoImpl")
public class ServiceDataDaoImpl extends MybatisGenericDao<ComparisonEntity,String> implements IServiceDataDao {

    @Autowired
    private IExecSqlService execSqlService;

    private Logger logger = LogManager.getLogger(super.getClass());
    @DS("#entity.dataSourceCode")
    @Override
    public List<HashMap<String, Object>> queryListBySWSource(String str, MdmModuleSourceEntity entity) {
        try {
            List<HashMap<String, Object>> hashMaps = execSqlService.execSelectSql(str, "");
            return hashMaps;
        }catch (Exception e){
            logger.info("三维单据视图中没有需要同步中台的数据");
            return null;
        }
    }
}
